Author Topic: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC  (Read 6310 times)

0 Members and 1 Guest are viewing this topic.

Offline maqifrnswa

  • Hero Member
  • *****
  • Posts: 661
    • View Profile
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #90 on: September 05, 2014, 04:53:17 pm »
Would you please help me to  vote "usa" to be a delegate?  +5% +5% +5% :) :) :)
https://bitsharestalk.org/index.php?topic=8148.0

Thanks. I will burn some of my income and donate to charity in m local church for pool kid in Africa

This comment is not directly aimed at you, but there are quite a few delegate claiming to give to charity. Some (xeroc) are more trustworthy than others, at some point donation plans will need to be more concrete/explicit. I think a delegates #1 job now is to fight through bugs and keep the infrastructure running and growing.
maintains an Ubuntu PPA: https://launchpad.net/~showard314/+archive/ubuntu/bitshares [15% delegate] wallet_account_set_approval maqifrnswa true [50% delegate] wallet_account_set_approval delegate1.maqifrnswa true

Offline maqifrnswa

  • Hero Member
  • *****
  • Posts: 661
    • View Profile
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #91 on: September 05, 2014, 04:57:56 pm »
I keep crashing on one my my machines while syncing with the chain at some block 16 days ago:
bitshares_client: /build/buildd/bitsharesx-0.4.12/libraries/fc/include/fc/optional.hpp:197: T* fc::optional<T>::operator->() [with T = bts::blockchain::market_order]: Assertion `_valid' failed.

sorry for not enough detail, I'm still debugging

Make sure you build in RELEASE mode.   It is known not to work in DEBUG mode.   The fix for DEBUG mode is implemented but didn't make it into 0.4.12.

Conclusions of testing:
Release works OK
Debug doesn't (like bytemaster said)
RelWithDebInfo (the default on my system, at least) does not work <-- that was my problem

If you explicitly do -DCMAKE_BUILD_TYPE=Release, it was fine
maintains an Ubuntu PPA: https://launchpad.net/~showard314/+archive/ubuntu/bitshares [15% delegate] wallet_account_set_approval maqifrnswa true [50% delegate] wallet_account_set_approval delegate1.maqifrnswa true

Offline valzav

  • Sr. Member
  • ****
  • Posts: 294
    • View Profile
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #92 on: September 05, 2014, 11:04:54 pm »

same problem here..

win 7 64Bit...

but 64 bit wallet do not work!!!

error msgbox on opening.

cryptillionaire,
What is exact error message you've got?

Offline cube

  • Hero Member
  • *****
  • Posts: 1404
  • Bit by bit, we will get there!
    • View Profile
  • BitShares: bitcube
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #93 on: September 05, 2014, 11:44:43 pm »
bitcube updated to 0.4.12.

Cheers!
ID: bitcube
bitcube is a dedicated witness and committe member. Please vote for bitcube.

Offline cube

  • Hero Member
  • *****
  • Posts: 1404
  • Bit by bit, we will get there!
    • View Profile
  • BitShares: bitcube
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #94 on: September 06, 2014, 01:53:21 am »
I was testing a transaction after the successful update.   I get this result:

cube (unlocked) >>> wallet_get_transaction c7126cfe
RECEIVED            BLOCK     FROM                TO                  AMOUNT                  MEMO                                        FEE                 ID
======================================================================================================================================================================
2014-09-06T00:57:25 PENDING   bitcube             bitcube             1.60000 BTSX                                                        0.10000 BTSX        c7126cfe

It is 'pending' and the balance not updated.
ID: bitcube
bitcube is a dedicated witness and committe member. Please vote for bitcube.

Offline werneo

  • Sr. Member
  • ****
  • Posts: 305
    • View Profile
    • chronicle of the precession of simulacra
  • BitShares: werneo
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #95 on: September 06, 2014, 06:27:05 am »
I downloaded the 64bit version from github and installed:
BitSharesX-0.4.12-x64.exe

After the database reindexed the wallet then tried to connect to the network. At that point I got an error:

"BitsharesX.exe has stopped working. A problem caused the program to stop working. Windows will close the program and notify you if a solution is available."

It was working under version 0.4.10

The PC is running Windows 8.1
64 bit OS, x64 based processor

Any thoughts?




Offline cube

  • Hero Member
  • *****
  • Posts: 1404
  • Bit by bit, we will get there!
    • View Profile
  • BitShares: bitcube
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #96 on: September 06, 2014, 09:45:03 am »
I downloaded the 64bit version from github and installed:
BitSharesX-0.4.12-x64.exe

After the database reindexed the wallet then tried to connect to the network. At that point I got an error:

"BitsharesX.exe has stopped working. A problem caused the program to stop working. Windows will close the program and notify you if a solution is available."

It was working under version 0.4.10

The PC is running Windows 8.1
64 bit OS, x64 based processor

Any thoughts?

The Win 64bit is reported to have some problem. You may try the 32bit instead.
ID: bitcube
bitcube is a dedicated witness and committe member. Please vote for bitcube.

Offline werneo

  • Sr. Member
  • ****
  • Posts: 305
    • View Profile
    • chronicle of the precession of simulacra
  • BitShares: werneo
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #97 on: September 06, 2014, 08:18:14 pm »
I downloaded the 64bit version from github and installed:
BitSharesX-0.4.12-x64.exe

After the database reindexed the wallet then tried to connect to the network. At that point I got an error:

"BitsharesX.exe has stopped working. A problem caused the program to stop working. Windows will close the program and notify you if a solution is available."

It was working under version 0.4.10

The PC is running Windows 8.1
64 bit OS, x64 based processor

Any thoughts?

The Win 64bit is reported to have some problem. You may try the 32bit instead.

Thanks, that worked.

iHashFury

  • Guest
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #98 on: September 07, 2014, 03:35:18 pm »
Code: [Select]
network_add_node "188.226.195.137:60696" add
Running 0.4.12

Offline hasher

  • Full Member
  • ***
  • Posts: 87
    • View Profile
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #99 on: September 08, 2014, 09:21:27 pm »
Hey guys, i left dacsunlimited client untouched since 0.4.8 or 0.4.9 dont remember,
so my question is - is it safe to upgrade to 0.4.12 now, because im worried of possible bugs and is it safe to transfer funds from BTC 28.02 snapshot by this release?

Online Shentist

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 1601
    • View Profile
    • metaexchange
  • BitShares: shentist
Re: BTSX 0.4.12 Released - Mandatory Upgrade by Sept. 5 19:00 UTC
« Reply #100 on: September 08, 2014, 09:27:02 pm »
Hey guys, i left dacsunlimited client untouched since 0.4.8 or 0.4.9 dont remember,
so my question is - is it safe to upgrade to 0.4.12 now, because im worried of possible bugs and is it safe to transfer funds from BTC 28.02 snapshot by this release?

from which wallet has you donated?

i would say in general yes. just export your wallet before you update and everything should be fine.

if you need to import from amory it is a pain in the ass.